net.minecraft.item

## Class ItemEnchantedBook

- java.lang.Object
- - net.minecraft.item.Item
  - - net.minecraft.item.ItemEnchantedBook

-     public class ItemEnchantedBook
      extends Item

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.minecraft.item.Item

      `Item.ToolMaterial`

  - ### Field Summary

    - ### Fields inherited from class net.minecraft.item.Item

      `bFull3D, canRepair, field_111210_e, hasSubtypes, iconString, itemIcon, itemRand, itemRegistry, maxStackSize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ItemEnchantedBook()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addEnchantment(ItemStack par1ItemStack, EnchantmentData par2EnchantmentData)`
    `void` | `addInformation(ItemStack par1ItemStack, EntityPlayer par2EntityPlayer, java.util.List par3List, boolean par4)`
    `NBTTagList` | `func_92110_g(ItemStack par1ItemStack)`
    `WeightedRandomChestContent` | `func_92112_a(java.util.Random par1Random, int par2, int par3, int par4)`
    `void` | `func_92113_a(Enchantment par1Enchantment, java.util.List par2List)`
    `WeightedRandomChestContent` | `func_92114_b(java.util.Random par1Random)`
    `ItemStack` | `getEnchantedItemStack(EnchantmentData par1EnchantmentData)`
    `EnumRarity` | `getRarity(ItemStack par1ItemStack)`
    `boolean` | `hasEffect(ItemStack par1ItemStack)`
    `boolean` | `isItemTool(ItemStack par1ItemStack)`

    - ### Methods inherited from class net.minecraft.item.Item

      `canHarvestBlock, canItemEditBlocks, createEntity, doesContainerItemLeaveCraftingGrid, doesSneakBypassUse, func_150893_a, func_150897_b, getArmorModel, getArmorTexture, getAttributeModifiers, getChestGenBase, getColorFromItemStack, getContainerItem, getContainerItem, getCreativeTab, getCreativeTabs, getDamage, getDigSpeed, getDisplayDamage, getDurabilityForDisplay, getEntityLifespan, getFontRenderer, getHarvestLevel, getHasSubtypes, getIcon, getIcon, getIconFromDamage, getIconFromDamageForRenderPass, getIconIndex, getIconString, getIdFromItem, getIsRepairable, getItemAttributeModifiers, getItemById, getItemEnchantability, getItemFromBlock, getItemStackDisplayName, getItemStackLimit, getItemStackLimit, getItemUseAction, getMaxDamage, getMaxDamage, getMaxItemUseDuration, getMetadata, getMovingObjectPositionFromPlayer, getPotionEffect, getRenderPasses, getShareTag, getSmeltingExperience, getSpriteNumber, getSubItems, getToolClasses, getUnlocalizedName, getUnlocalizedName, getUnlocalizedNameInefficiently, hasContainerItem, hasContainerItem, hasCustomEntity, hasEffect, hitEntity, isBookEnchantable, isDamageable, isDamaged, isFull3D, isMap, isPotionIngredient, isRepairable, isValidArmor, itemInteractionForEntity, onArmorTick, onBlockDestroyed, onBlockStartBreak, onCreated, onDroppedByPlayer, onEaten, onEntityItemUpdate, onEntitySwing, onItemRightClick, onItemUse, onItemUseFirst, onLeftClickEntity, onPlayerStoppedUsing, onUpdate, onUsingTick, registerIcons, registerItems, renderHelmetOverlay, requiresMultipleRenderPasses, setContainerItem, setCreativeTab, setDamage, setFull3D, setHarvestLevel, setHasSubtypes, setMaxDamage, setMaxStackSize, setNoRepair, setPotionEffect, setTextureName, setUnlocalizedName, shouldRotateAroundWhenRendering, showDurabilityBar`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ItemEnchantedBook

          public ItemEnchantedBook()

  - ### Method Detail

    - #### hasEffect

          public boolean hasEffect(ItemStack par1ItemStack)

      Overrides:
        `hasEffect` in class `Item`

    - #### isItemTool

          public boolean isItemTool(ItemStack par1ItemStack)

      Overrides:
        `isItemTool` in class `Item`

    - #### getRarity

          public EnumRarity getRarity(ItemStack par1ItemStack)

      Overrides:
        `getRarity` in class `Item`

    - #### func_92110_g

          public NBTTagList func_92110_g(ItemStack par1ItemStack)

    - #### addInformation

          public void addInformation(ItemStack par1ItemStack,
                            EntityPlayer par2EntityPlayer,
                            java.util.List par3List,
                            boolean par4)

      Overrides:
        `addInformation` in class `Item`

    - #### addEnchantment

          public void addEnchantment(ItemStack par1ItemStack,
                            EnchantmentData par2EnchantmentData)

    - #### getEnchantedItemStack

          public ItemStack getEnchantedItemStack(EnchantmentData par1EnchantmentData)

    - #### func_92113_a

          public void func_92113_a(Enchantment par1Enchantment,
                          java.util.List par2List)

    - #### func_92114_b

          public WeightedRandomChestContent func_92114_b(java.util.Random par1Random)

    - #### func_92112_a

          public WeightedRandomChestContent func_92112_a(java.util.Random par1Random,
                                                int par2,
                                                int par3,
                                                int par4)